unit WinXtext;

interface

uses Ole2, OleCtl, Classes, Graphics, OleCtrls;

type

  TText3D = class(TOleControl)
  private
  protected
    procedure InitControlData; override;
  public
    procedure AboutBox; stdcall;
  published
    property ParentColor;
    property ParentFont;
    property DragCursor;
    property DragMode;
    property ParentShowHint;
    property PopupMenu;
    property ShowHint;
    property TabOrder;
    property Visible;
    property OnDragDrop;
    property OnDragOver;
    property OnEndDrag;
    property OnEnter;
    property OnExit;
    property OnStartDrag;
    property OnMouseDown;
    property OnMouseUp;
    property Alignment: Smallint index 1 read GetSmallintProp write SetSmallintProp stored False;
    property TextStyle: Smallint index 2 read GetSmallintProp write SetSmallintProp stored False;
    property FrameStyle: Smallint index 3 read GetSmallintProp write SetSmallintProp stored False;
    property FrameColor: Smallint index 4 read GetSmallintProp write SetSmallintProp stored False;
    property OffsetHorizontal: Smallint index 5 read GetSmallintProp write SetSmallintProp stored False;
    property OffsetVertical: Smallint index 6 read GetSmallintProp write SetSmallintProp stored False;
    property BackColor: TColor index -501 read GetColorProp write SetColorProp stored False;
    property HighlightColor: TColor index 7 read GetColorProp write SetColorProp stored False;
    property FrameShadow: TOleBool index 8 read GetOleBoolProp write SetOleBoolProp stored False;
    property ShadowColor: TColor index 9 read GetColorProp write SetColorProp stored False;
    property Transparent: TOleBool index 10 read GetOleBoolProp write SetOleBoolProp stored False;
    property TextOnFrame: TOleBool index 11 read GetOleBoolProp write SetOleBoolProp stored False;
    property Font: Variant index -512 read GetVariantProp write SetVariantProp stored False;
    property ForeColor: TColor index -513 read GetColorProp write SetColorProp stored False;
    property Text: string index -517 read GetStringProp write SetStringProp stored False;
  end;

procedure Register;

implementation

{$J+}

procedure TText3D.InitControlData;
const
  CLicenseKey: array[0..53] of Word = (
    $0043, $006F, $0070, $0079, $0072, $0069, $0067, $0068, $0074, $0020,
    $0028, $0063, $0029, $0020, $0031, $0039, $0039, $0036, $002E, $0020,
    $0050, $0072, $006F, $0074, $006F, $0056, $0069, $0065, $0077, $0020,
    $0044, $0065, $0076, $0065, $006C, $006F, $0070, $006D, $0065, $006E,
    $0074, $002E, $0020, $0030, $0078, $0030, $0030, $0066, $0030, $0030,
    $0066, $0030, $0066, $0000);
  CControlData: TControlData = (
    ClassID: (
      D1:$03D0BCC3;D2:$25EE;D3:$11D0;D4:($BD,$CB,$00,$20,$A9,$0B,$18,$3A));
    EventIID: (
      D1:$03D0BCC2;D2:$25EE;D3:$11D0;D4:($BD,$CB,$00,$20,$A9,$0B,$18,$3A));
    EventCount: 0;
    EventDispIDs: nil;
    LicenseKey: @CLicenseKey;
    Flags: $00000027);
begin
  ControlData := @CControlData;
end;

procedure TText3D.AboutBox;
const
  DispInfo: array[0..7] of Byte = ($D8,$FD,$FF,$FF,$00,$01,$00,$00);
begin
  InvokeMethod(DispInfo, nil);
end;

procedure Register;
begin
  RegisterComponents('OCX', [TText3D]);
end;

end.
